build:
  stage: build
  image: node:20-bookworm
  script:
    - npm install
    - npm audit --omit=dev --audit-level=low
    - npm run build
    - mv build public
  artifacts:
    paths:
      - public/

deploy:
  stage: deploy
  image: node:20-bookworm
  script:
    - apt-get update && apt-get install rsync -y
    - mkdir -p ~/.ssh/
    - mv $SSH_PRIVATE_KEY ~/.ssh/id_rsa
    - chmod a-r-w-x,u+r ~/.ssh/id_rsa
    - mv $SSH_CONFIG ~/.ssh/config
    - chmod a-r-w-x,u+r ~/.ssh/config
    - rsync -avzP --delete public/ infobrisson:sites_infobrisson/mcdu/
